<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: AreaDamageComponentRandomHitzone Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/d7e/class_area_damage_component_random_hitzone.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">AreaDamageComponentRandomHitzone Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Newer implementation equivalent of "AreaDamageRegular", hitzone selection only.  
 <a href="../../d5/d7e/class_area_damage_component_random_hitzone.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for AreaDamageComponentRandomHitzone:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d5/d7e/class_area_damage_component_random_hitzone.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:abedde357579c80d46b6084a598cdee46"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d7e/class_area_damage_component_random_hitzone.html#abedde357579c80d46b6084a598cdee46">AreaDamageComponentRandomHitzone</a> (<a class="el" href="../../df/dbe/_area_damage_manager_8c.html#abfc7d8f6381a073a1b76ff47172ff18f">AreaDamageManager</a> parent)</td></tr>
<tr class="separator:abedde357579c80d46b6084a598cdee46"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15e2cec98c46dacc3903e87e6d7c4e68"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d7e/class_area_damage_component_random_hitzone.html#a15e2cec98c46dacc3903e87e6d7c4e68">SetHitZones</a> (<a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt; hitzones)</td></tr>
<tr class="separator:a15e2cec98c46dacc3903e87e6d7c4e68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a697f250dd96e461c73a714b13d0bbc93"><td class="memItemLeft" align="right" valign="top">override protected <a class="el" href="../../d7/d20/class_area_damage_component_data.html">AreaDamageComponentData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d7e/class_area_damage_component_random_hitzone.html#a697f250dd96e461c73a714b13d0bbc93">GetAreaDamageComponentData</a> (<a class="el" href="../../d8/d83/class_object.html">Object</a> object)</td></tr>
<tr class="separator:a697f250dd96e461c73a714b13d0bbc93"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ab2fa7a2d00187dd110067f09eb75fdf1"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d7e/class_area_damage_component_random_hitzone.html#ab2fa7a2d00187dd110067f09eb75fdf1">m_HitZones</a></td></tr>
<tr class="separator:ab2fa7a2d00187dd110067f09eb75fdf1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Newer implementation equivalent of "AreaDamageRegular", hitzone selection only. </p>

<p class="definition">Definition at line <a class="el" href="../../d7/d48/_area_damage_component_random_hitzone_8c_source.html#l00002">2</a> of file <a class="el" href="../../d7/d48/_area_damage_component_random_hitzone_8c_source.html">AreaDamageComponentRandomHitzone.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="abedde357579c80d46b6084a598cdee46" name="abedde357579c80d46b6084a598cdee46"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abedde357579c80d46b6084a598cdee46">&#9670;&#160;</a></span>AreaDamageComponentRandomHitzone()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AreaDamageComponentRandomHitzone::AreaDamageComponentRandomHitzone </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/dbe/_area_damage_manager_8c.html#abfc7d8f6381a073a1b76ff47172ff18f">AreaDamageManager</a>&#160;</td>
          <td class="paramname"><em>parent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d48/_area_damage_component_random_hitzone_8c_source.html#l00006">6</a> of file <a class="el" href="../../d7/d48/_area_damage_component_random_hitzone_8c_source.html">AreaDamageComponentRandomHitzone.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a697f250dd96e461c73a714b13d0bbc93" name="a697f250dd96e461c73a714b13d0bbc93"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a697f250dd96e461c73a714b13d0bbc93">&#9670;&#160;</a></span>GetAreaDamageComponentData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override protected <a class="el" href="../../d7/d20/class_area_damage_component_data.html">AreaDamageComponentData</a> AreaDamageComponentRandomHitzone::GetAreaDamageComponentData </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td>
          <td class="paramname"><em>object</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d48/_area_damage_component_random_hitzone_8c_source.html#l00016">16</a> of file <a class="el" href="../../d7/d48/_area_damage_component_random_hitzone_8c_source.html">AreaDamageComponentRandomHitzone.c</a>.</p>

</div>
</div>
<a id="a15e2cec98c46dacc3903e87e6d7c4e68" name="a15e2cec98c46dacc3903e87e6d7c4e68"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a15e2cec98c46dacc3903e87e6d7c4e68">&#9670;&#160;</a></span>SetHitZones()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AreaDamageComponentRandomHitzone::SetHitZones </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt;&#160;</td>
          <td class="paramname"><em>hitzones</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d48/_area_damage_component_random_hitzone_8c_source.html#l00011">11</a> of file <a class="el" href="../../d7/d48/_area_damage_component_random_hitzone_8c_source.html">AreaDamageComponentRandomHitzone.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="ab2fa7a2d00187dd110067f09eb75fdf1" name="ab2fa7a2d00187dd110067f09eb75fdf1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2fa7a2d00187dd110067f09eb75fdf1">&#9670;&#160;</a></span>m_HitZones</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&gt; AreaDamageComponentRandomHitzone::m_HitZones</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d48/_area_damage_component_random_hitzone_8c_source.html#l00004">4</a> of file <a class="el" href="../../d7/d48/_area_damage_component_random_hitzone_8c_source.html">AreaDamageComponentRandomHitzone.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/AreaDamage/AreaDamageNew/DamageComponents/<a class="el" href="../../d7/d48/_area_damage_component_random_hitzone_8c_source.html">AreaDamageComponentRandomHitzone.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d5/d7e/class_area_damage_component_random_hitzone.html">AreaDamageComponentRandomHitzone</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
